[package]
name = "ghost-runtime-common"
version = "0.4.3"
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true

[dependencies]
static_assertions = { workspace = true }

sp-std = { workspace = true }
sp-io = { workspace = true }
sp-core = { workspace = true }
sp-runtime = { workspace = true, features = ["serde"] }
sp-staking = { workspace = true, features = ["serde"] }

frame-support = { workspace = true }
frame-system = { workspace = true }
pallet-authorship = { workspace = true }
pallet-balances = { workspace = true }
pallet-staking = { workspace = true }
pallet-staking-reward-fn = { workspace = true }
pallet-timestamp = { workspace = true }
pallet-transaction-payment = { workspace = true }
pallet-treasury = { workspace = true }
pallet-election-provider-multi-phase = { workspace = true }
primitives = { workspace = true }

[features]
default = ["std"]
no_std = []
std = [
    "sp-core/std",
    "sp-std/std",
    "sp-io/std",
    "sp-runtime/std",
    "sp-staking/std",
    "frame-support/std",
    "frame-system/std",
    "pallet-authorship/std",
    "pallet-balances/std",
    "pallet-staking/std",
    "pallet-staking-reward-fn/std",
    "pallet-timestamp/std",
    "pallet-transaction-payment/std",
    "pallet-treasury/std",
    "pallet-election-provider-multi-phase/std",
    "primitives/std",
]
runtime-benchmarks = [
    "sp-runtime/runtime-benchmarks",
    "sp-staking/runtime-benchmarks",
    "frame-support/runtime-benchmarks",
    "frame-system/runtime-benchmarks",
    "pallet-balances/runtime-benchmarks",
    "pallet-staking/runtime-benchmarks",
    "pallet-timestamp/runtime-benchmarks",
    "pallet-treasury/runtime-benchmarks",
    "pallet-election-provider-multi-phase/runtime-benchmarks",
]
try-runtime = [
    "sp-runtime/try-runtime",
    "frame-support/try-runtime",
    "frame-system/try-runtime",
    "pallet-authorship/try-runtime",
    "pallet-balances/try-runtime",
    "pallet-staking/try-runtime",
    "pallet-timestamp/try-runtime",
    "pallet-transaction-payment/try-runtime",
    "pallet-treasury/try-runtime",
    "pallet-election-provider-multi-phase/try-runtime",
]
